### Class

# WebKit2WebExtension WebEditor

since: 2.10

#### Description [src]

    class WebKit2WebExtension.WebEditor : GObject.Object
    {
      WebKitWebEditorPrivate* priv
    }

Access to editing capabilities of a `WebKitWebPage`.

The WebKitWebEditor provides access to various editing capabilities of a `WebKitWebPage` such as a possibility to react to the current selection in `WebKitWebPage`.

Available since: 2.10

#### Ancestors

- GObject

#### Instance methods

###### webkit_web_editor_get_page

Gets the `WebKitWebPage` that is associated with the `WebKitWebEditor`.

since: 2.10

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### WebKit2WebExtension.WebEditor::selection-changed

This signal is emitted for every selection change inside a `WebKitWebPage` as well as for every caret position change as the caret is a collapsed selection.

since: 2.10

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionWebEditorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.